Index: libbsd.py
===================================================================
--- libbsd.py	(revision 45eb88b14198c808850a8247c984581188821366)
+++ libbsd.py	(revision 3fece79604fbd2934a85e88e5a68f32706981092)
@@ -1756,13 +1756,4 @@
         [
             'sys/i386/i386/legacy.c',
-        ],
-	mm.generator['source']()
-    )
-    mod.addTargetSourceCPUDependentSourceFiles(
-        [ 'arm', 'avr', 'bfin', 'h8300', 'lm32', 'm32c', 'm32r', 'm68k',
-          'mips', 'nios2', 'powerpc', 'sh', 'sparc', 'sparc64', 'v850' ],
-        'i386',
-        [
-		'sys/i386/i386/legacy.c',
         ],
 	mm.generator['source']()
Index: wscript
===================================================================
--- wscript	(revision 45eb88b14198c808850a8247c984581188821366)
+++ wscript	(revision 3fece79604fbd2934a85e88e5a68f32706981092)
@@ -1055,13 +1055,10 @@
     if bld.get_env()["RTEMS_ARCH"] == "arm":
         source += ['freebsd/sys/arm/arm/in_cksum.c',
-                   'freebsd/sys/arm/arm/legacy.c',
                    'freebsd/sys/arm/pci/pci_bus.c']
     if bld.get_env()["RTEMS_ARCH"] == "avr":
         source += ['freebsd/sys/avr/avr/in_cksum.c',
-                   'freebsd/sys/avr/avr/legacy.c',
                    'freebsd/sys/avr/pci/pci_bus.c']
     if bld.get_env()["RTEMS_ARCH"] == "bfin":
         source += ['freebsd/sys/bfin/bfin/in_cksum.c',
-                   'freebsd/sys/bfin/bfin/legacy.c',
                    'freebsd/sys/bfin/pci/pci_bus.c']
     if bld.get_env()["RTEMS_ARCH"] == "cflags":
@@ -1069,5 +1066,4 @@
     if bld.get_env()["RTEMS_ARCH"] == "h8300":
         source += ['freebsd/sys/h8300/h8300/in_cksum.c',
-                   'freebsd/sys/h8300/h8300/legacy.c',
                    'freebsd/sys/h8300/pci/pci_bus.c']
     if bld.get_env()["RTEMS_ARCH"] == "i386":
@@ -1077,47 +1073,36 @@
     if bld.get_env()["RTEMS_ARCH"] == "lm32":
         source += ['freebsd/sys/lm32/lm32/in_cksum.c',
-                   'freebsd/sys/lm32/lm32/legacy.c',
                    'freebsd/sys/lm32/pci/pci_bus.c']
     if bld.get_env()["RTEMS_ARCH"] == "m32c":
         source += ['freebsd/sys/m32c/m32c/in_cksum.c',
-                   'freebsd/sys/m32c/m32c/legacy.c',
                    'freebsd/sys/m32c/pci/pci_bus.c']
     if bld.get_env()["RTEMS_ARCH"] == "m32r":
         source += ['freebsd/sys/m32r/m32r/in_cksum.c',
-                   'freebsd/sys/m32r/m32r/legacy.c',
                    'freebsd/sys/m32r/pci/pci_bus.c']
     if bld.get_env()["RTEMS_ARCH"] == "m68k":
         source += ['freebsd/sys/m68k/m68k/in_cksum.c',
-                   'freebsd/sys/m68k/m68k/legacy.c',
                    'freebsd/sys/m68k/pci/pci_bus.c']
     if bld.get_env()["RTEMS_ARCH"] == "mips":
         source += ['freebsd/sys/mips/mips/in_cksum.c',
-                   'freebsd/sys/mips/mips/legacy.c',
                    'freebsd/sys/mips/pci/pci_bus.c']
     if bld.get_env()["RTEMS_ARCH"] == "nios2":
         source += ['freebsd/sys/nios2/nios2/in_cksum.c',
-                   'freebsd/sys/nios2/nios2/legacy.c',
                    'freebsd/sys/nios2/pci/pci_bus.c']
     if bld.get_env()["RTEMS_ARCH"] == "powerpc":
         source += ['freebsd/sys/powerpc/pci/pci_bus.c',
-                   'freebsd/sys/powerpc/powerpc/in_cksum.c',
-                   'freebsd/sys/powerpc/powerpc/legacy.c']
+                   'freebsd/sys/powerpc/powerpc/in_cksum.c']
     if bld.get_env()["RTEMS_ARCH"] == "sh":
         source += ['freebsd/sys/sh/pci/pci_bus.c',
-                   'freebsd/sys/sh/sh/in_cksum.c',
-                   'freebsd/sys/sh/sh/legacy.c']
+                   'freebsd/sys/sh/sh/in_cksum.c']
     if bld.get_env()["RTEMS_ARCH"] == "sparc":
         source += ['freebsd/sys/mips/mips/in_cksum.c',
                    'freebsd/sys/sparc/pci/pci_bus.c',
-                   'freebsd/sys/sparc/sparc/in_cksum.c',
-                   'freebsd/sys/sparc/sparc/legacy.c']
+                   'freebsd/sys/sparc/sparc/in_cksum.c']
     if bld.get_env()["RTEMS_ARCH"] == "sparc64":
         source += ['freebsd/sys/sparc64/pci/pci_bus.c',
-                   'freebsd/sys/sparc64/sparc64/in_cksum.c',
-                   'freebsd/sys/sparc64/sparc64/legacy.c']
+                   'freebsd/sys/sparc64/sparc64/in_cksum.c']
     if bld.get_env()["RTEMS_ARCH"] == "v850":
         source += ['freebsd/sys/v850/pci/pci_bus.c',
-                   'freebsd/sys/v850/v850/in_cksum.c',
-                   'freebsd/sys/v850/v850/legacy.c']
+                   'freebsd/sys/v850/v850/in_cksum.c']
     bld.stlib(target = "bsd",
               features = "c cxx",
